#!/bin/bash

COMMAND=$1
FILE=$2
SOURCE=$3
DESTINATION=$4

case "$COMMAND" in
    'install')
                [ -f $DESTINATION/$FILE ] && mv -f $DESTINATION/$FILE $DESTINATION/$FILE.old
                install -p -g postgres -o postgres -m 600 $SOURCE/$FILE $DESTINATION
                ;;
    'upgrade')
                mv -f $DESTINATION/$FILE $DESTINATION/$FILE.new
                install -p -g postgres -o postgres -m 600 $SOURCE/$FILE $DESTINATION
                service postgresql status >/dev/null
                if [ $? -gt 0 ]; then
                    service postgresql restart
                fi
                ;;
    'renew')
                rm -f $DESTINATION/$FILE.new
                ;;
    'uninstall')
                [ -f $DESTINATION/$FILE.old ] && mv -f $DESTINATION/$FILE.old $DESTINATION/$FILE
                ;;
    *)
                echo "Bad parameter"
                ;;
esac
