#!/bin/bash
SQLDIR="/opt/logserver/db/sql"
if [ ! $(su -l postgres -c "psql -U postgres -l -t | cut -d '|' -f 1 | grep op5lsu") ]; 
then
    su -l postgres -c "PGOPTIONS='--client-min-messages=warning' psql --quiet --no-psqlrc --set=ON_ERROR_ROLLBACK --set=ON_ERROR_STOP=1 -U postgres -d postgres -f $SQLDIR/create_database.sql" || exit $?
    su -l op5lsu -c "PGOPTIONS='--client-min-messages=warning' psql --quiet --no-psqlrc --set=ON_ERROR_ROLLBACK --set=ON_ERROR_STOP=1 -U op5lsu -d op5lsu -f $SQLDIR/create_functions.sql" || exit $?
    su -l op5lsu -c "PGOPTIONS='--client-min-messages=warning' psql --quiet --no-psqlrc --set=ON_ERROR_ROLLBACK --set=ON_ERROR_STOP=1 -U op5lsu -d op5lsu -f $SQLDIR/create_tables.sql" || exit $?
else
    echo "Database op5lsu exists"
fi

$(dirname $0)/upgrade.sh
